Subject: Re: bug#22993: Potential fix/workaround for 22993

From: Alan Third <[email-masked]>
Date: Thu, 7 Jul 2016 20:57:59 +0100

On Thu, Jul 07, 2016 at 07:08:29PM +0000, Aaron Jensen wrote:
> On Thu, Jul 7, 2016 at 11:55 AM Alan Third <[email-masked]> wrote:
> 
> > I'm going to push this change to master. In the worst case it doesn't
> > work for some people and nothing is different.
> >
> > I can't see a better way of handling this problem.
> >
> 
> Actually, I’d hold off. Even w/ this change in place, I saw it not work as
> well, it just took longer/slept in different instances.

I've already pushed it to master. I guess I could revert it, but I'm
not sure it's worth it.

> I believe the fix I
> linked to here would be best:
> https://github.com/TauLabs/TauLabs/pull/2094/files

Unfortunately I can't quite work out what they're doing. That
QSettings thing is specific to QT, as far as I can tell. There must be
a Cocoa equivalent, but I don't know what it is.

I'll re-open the bug report, since I already closed it. :)
-- 
Alan Third